AppImageDaemon2 (aid2 - proposed)


Alternatives
- Per https://docs.appimage.org/introduction/software-overview.html#appimaged
  - appimaged
  - AppImageKit
  - appimagetool
  - AppImageUpdate
  - AppImageLauncher

Problem
Several appimage helper programs exist

Planned Features
- Folder watching; ie ~/Applications
  - Similar to appimaged
- Config file; ~/.local/aid2/aid2.conf
  - Stores watched location(s)
  - Feature missing from appimaged (?)
  - Stores web address to appimage repositor[y|ies]
  - RunByDefault | InstallByDefault | InstallRunByDefault | AskByDefault
  - appimage source location overrides by app - in case this can't be determined from the appimage directly
- Python (?)
- Right click (context) menu (functions provided by aid2)
  - Appimage
    - Run
    - Install | Remove
    - Update
    - About
- Look into Mint-Update integration
- Look into mintinstall (Mint app store) integration for appimages, similar to how Flatpaks are integrated
- Use local tools and binaries when working on appimages
  - Security - avoid executing runtimes distributed with appimages which may be untrustworthy
- Documentation
- Manpages (?)
  - Missing from appimaged (?) and others (?)
- Primary distribution as .deb package
  - Dogfooding is cool and all, but time and place. This is meant to add key functionality to the OS
- Daemonize (obvs.)
- Minimal user interaction - should appear as if built into the native OS by default
- Possibly windows to confirm actions (xyz Installed; xyz Removed; No updates found | xyz Updated to 1.2.3.4 | etc)


Resources
https://docs.appimage.org/introduction/software-overview.html
https://docs.appimage.org/user-guide/run-appimages.html
https://docs.appimage.org/reference/desktop-integration.html
https://docs.appimage.org/reference/appdir.html
https://github.com/AppImage/AppImageKit/issues/830

